# MLToolkit
MLToolkit (mltk) is a Python package providing a set of user-friendly functions to  help building machine learning models in data science research, teaching or production focused projects. 

# Introduction
MLToolkit supports all stages of the machine learning application development process.

# Installation
```
pip install pymltoolkit
```
If the installation failed with dependancy issues simply execute the above comman with --no-dependencies

```
pip install pymltoolkit --no-dependencies
```

# Functions
- Data Extraction (SQL, Flatfiles, etc.)
- Exploratory Data Analysis (statistical summary, univariate analysis, etc.)
- Feature Engineering
- Model Building
- Hyper Parameter Tuning [in development]
- Model Performance Analysis and Comparison Between Models
- Auto ML (automated machine learning) [in development]
- Model Deploymet and Serving [in development]

# Machibe Learning Algorithms/Packages used
- RandomForestClassifier
-- scikit-learn
- LogisticRegression 
-- statsmodels
... more will be added in future development ...

# Usage
```
import mltk
```

# Examples

# References
- https://pandas.pydata.org/
- https://scikit-learn.org
- https://www.numpy.org/
- https://docs.python.org/3.6/library/re.html
- https://www.statsmodels.org
- https://matplotlib.org/
- http://flask.pocoo.org/
